summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2022-01-27 22:59:24 +0000
committerKarl Berry <karl@freefriends.org>2022-01-27 22:59:24 +0000
commitd17395dc3da8ac203703f9b98c2d89d169f6a5bd (patch)
tree99263104ecc630d169c92620d495bcb8890868aa /Master/tlpkg
parent1519c1a484e357df71a791249ba8aecf3a5700d8 (diff)
doc,sync
git-svn-id: svn://tug.org/texlive/trunk@61767 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-try-install2
-rwxr-xr-xMaster/tlpkg/bin/tl-update-asy13
-rw-r--r--Master/tlpkg/doc/releng.txt7
-rwxr-xr-xMaster/tlpkg/libexec/place12
4 files changed, 18 insertions, 16 deletions
diff --git a/Master/tlpkg/bin/tl-try-install b/Master/tlpkg/bin/tl-try-install
index fcdb858913f..14e83036010 100755
--- a/Master/tlpkg/bin/tl-try-install
+++ b/Master/tlpkg/bin/tl-try-install
@@ -1,6 +1,6 @@
#!/bin/sh
# Public domain. Originally written 2019, Karl Berry.
-# Try a TL installation into /tmp/ki (hardwired),
+# Try a TL installation into /tmp/ki (by default),
# using install-tl with a given profile.
vc_id='$Id$'
diff --git a/Master/tlpkg/bin/tl-update-asy b/Master/tlpkg/bin/tl-update-asy
index c9d454a7ab8..109c129954f 100755
--- a/Master/tlpkg/bin/tl-update-asy
+++ b/Master/tlpkg/bin/tl-update-asy
@@ -44,14 +44,15 @@ elif test "x$1" = x--build; then
# this part is about building the x86 linux asymptote on tug.org.
# Despite all the dire warnings above, this part actually can be run
# as a script, because it's so often necessary to redo.
- set -e
+ unset GREP_OPTIONS CDPATH
PATH=/usr/bin:/usr/sbin; export PATH # system gcc for sake of shared libs
- #PATH=/usr/local/bin:$PATH # need new gs to pass tests, but ok
- PATH=$lb:$PATH # get our kpsewhich
+ PATH=$lb:$PATH # get our kpsewhich
svn=/usr/local/bin/svn # so we need our svn explicitly
- unset GREP_OPTIONS CDPATH
-
set -x
+ rhtoolset=/opt/rh/devtoolset-10/enable
+ test -s $rhtoolset && . $rhtoolset
+
+ set -e
cd /home/texlive/karl/Build/source/utils/asymptote
$svn update
$svn revert asy-keywords.el
@@ -66,7 +67,7 @@ elif test "x$1" = x--build; then
./configure --prefix=/tmp/ainst \
--with-latex=/tmp/ainst/latex --with-context=/tmp/ainst/context \
--disable-fftw --disable-gl --disable-gsl \
- --enable-texlive-build CFLAGS=-g CXXFLAGS=-std=c++11 #-ansi
+ --enable-texlive-build CFLAGS=-g CXXFLAGS=-std=c++17 #-ansi
make
make check
make install-prebuilt
diff --git a/Master/tlpkg/doc/releng.txt b/Master/tlpkg/doc/releng.txt
index 82f8fa28b08..0220a01ef10 100644
--- a/Master/tlpkg/doc/releng.txt
+++ b/Master/tlpkg/doc/releng.txt
@@ -189,7 +189,7 @@ real one. To do the build:
env force_rebuild=true cron.branch
11. In cron.tl, set net_frozen=false, critical= , and
- return to regular catalogue_compare updates.
+ return to regular catalogue_compare=true updates.
In the crontab, enable the pretest entries.
12. Life and daily updates resume: run c2l to update trunk->tlpretest,
@@ -276,7 +276,7 @@ M. As pretest proceeds, update the doc:
tl-update-txi
Don't forget to commit everything (texmf-dist/doc, Build/source, ...).
-N. Really test during and at end of pretest that
+N. Really test during, and at end, of pretest that
(really! don't leave it for post-release failure)
.fmt's sharable are across endian/word-different platforms,
including luatex:
@@ -293,7 +293,7 @@ W. Two days before the final pretest (i.e., to-be-published) build:
Put date into NEWS and ChangeLog files above.
Update Build/source/tardate.ac && reautoconf.
tlmgr version number in texmf-dist/scripts/texlive/NEWS.
- In cron.tl, set catalogue_compare=true for final syncs.
+ In cron.tl, force catalogue_compare=true for final syncs.
Run make distclean in Build/source/utils/asymptote
to aviod that build junk ending up in the source tarball.
Reenable images_frozen=false so we get the new sources,
@@ -515,6 +515,7 @@ critical=
images_frozen=true
net_frozen=false
all_frozen=false
+catalogue_compare=true intermittently
after TC release:
- texcollection
diff --git a/Master/tlpkg/libexec/place b/Master/tlpkg/libexec/place
index 947921404d2..4b02bb13e78 100755
--- a/Master/tlpkg/libexec/place
+++ b/Master/tlpkg/libexec/place
@@ -256,19 +256,19 @@ my $dirlist_file = "$tmpfile.dirs";
$DIRLIST = ">$dirlist_file";
open (DIRLIST) || die "open($DIRLIST) failed: $!";
#
-print "place: directories are:\n";
+print "\n\f place: directories are:\n";
for my $dir (sort keys %dirs) {
print "$dir\n";
print DIRLIST "$dir\n";
}
-#
close (DIRLIST) || warn "close($DIRLIST) failed: $!";
-# Always run svn update, even without --place. This will let a worker
-# detect that a particular package update has already been done by
-# someone else.
+# Always run svn update, even without --place. This can help a worker
+# detect that a package update has already been done by someone else.
if ($opt_mode eq "svn") {
- print ("\nsvn update of those directories:\n");
+ print ("\nsvn status of those directories:\n");
+ system ("svn status `cat $dirlist_file`");
+ print ("\f\nsvn update of those directories:\n");
system ("svn update `cat $dirlist_file`");
}
# do nothing in git mode